Bug 735671 - [abrt] (null): SELinux is preventing /lib/systemd/systemd-logind from 'unlink' accesses on the fifo_file 4.ref.
Summary: [abrt] (null): SELinux is preventing /lib/systemd/systemd-logind from 'unlink...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:50a178ba49ded15b5be92a34282...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 19:55 UTC by David Melton
Modified: 2011-09-05 11:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 11:15:27 UTC


Attachments (Terms of Use)

Description David Melton 2011-09-04 19:55:13 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         2.6.38.6-26.rc1.fc15.i686
reason:         SELinux is preventing /lib/systemd/systemd-logind from 'unlink' accesses on the fifo_file 4.ref.
time:           Sun Sep  4 15:50:05 2011

description:
:SELinux is preventing /lib/systemd/systemd-logind from 'unlink' accesses on the fifo_file 4.ref.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed unlink access on the 4.ref fifo_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:object_r:systemd_logind_var_run_t:s0
:Target Objects                4.ref [ fifo_file ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-34-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-24.fc17
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 2.6.38.6-26.rc1.fc15.i686 #1 SMP Mon
:                              May 9 20:43:14 UTC 2011 i686 i686
:Alert Count                   2
:First Seen                    Sun 04 Sep 2011 02:01:02 PM EDT
:Last Seen                     Sun 04 Sep 2011 03:01:02 PM EDT
:Local ID                      9965483b-91d0-479e-9b7b-f478dd6c5346
:
:Raw Audit Messages
:type=AVC msg=audit(1315162862.182:201): avc:  denied  { unlink } for  pid=18455 comm="systemd-logind" name="4.ref" dev=tmpfs ino=105478 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:systemd_logind_var_run_t:s0 tclass=fifo_file
:
:
:type=SYSCALL msg=audit(1315162862.182:201): arch=i386 syscall=unlink success=yes exit=0 a0=8bf9078 a1=aaeff4 a2=8bf8fe0 a3=bfe53494 items=0 ppid=1 pid=18455 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,systemd_logind_var_run_t,fifo_file,unlink
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t systemd_logind_var_run_t:fifo_file unlink;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t systemd_logind_var_run_t:fifo_file unlink;
:

Comment 1 Miroslav Grepl 2011-09-05 11:15:27 UTC
Fixed in selinux-policy-3.10.0-25.fc17


Note You need to log in before you can comment on or make changes to this bug.